[ 
https://issues.apache.org/jira/browse/PROTON-1787?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16390158#comment-16390158
 ] 

Roddie Kieley commented on PROTON-1787:
---------------------------------------

Updated the travis yaml via PR 
[139|https://github.com/apache/qpid-proton/pull/139]

> [OSX] Travis CI failure to execute for Xcode 7.3 matrix'd build
> ---------------------------------------------------------------
>
>                 Key: PROTON-1787
>                 URL: https://issues.apache.org/jira/browse/PROTON-1787
>             Project: Qpid Proton
>          Issue Type: Task
>         Environment: Travis CI 
>            Reporter: Roddie Kieley
>            Priority: Major
>
> Recently the Travis CI build for 'Compiler: gcc Xcode: xcode7.3 C++' started 
> failing due to the following:
> {code:java}
> .
> .
> .
> $ export CXX=g++
> $ export CC=gcc
> $ gcc --version
> Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr 
> --with-gxx-include-dir=/usr/include/c++/4.2.1
> Apple LLVM version 7.3.0 (clang-703.0.31)
> Target: x86_64-apple-darwin15.6.0
> Thread model: posix
> InstalledDir: 
> /Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin
> before_install.1
> 296.52s$ brew update
> 66.75s$ brew upgrade python openssl
> 0.02s$ pip2 install --user --upgrade pip
> /Users/travis/.travis/job_stages: line 57: pip2: command not found
> The command "pip2 install --user --upgrade pip" failed and exited with 127 
> during .
> Your build has been stopped.{code}
>  
> This appears to be due to a recent change in homebrew whereby installing 
> 'python' installed python 2 but now installs python 3.
> From a previous, working, travis 
> [job|https://travis-ci.org/RoddieKieley/qpid-proton/jobs/327960307]   
> {code}
> $ brew upgrade python openssl
> ==> Upgrading 2 outdated packages, with result:
> python 2.7.14_2, openssl 1.0.2n
> {code}
> From the latest [job|https://travis-ci.org/apache/qpid-proton/jobs/349877911] 
> that's broken:
> {code}
> $ brew upgrade python openssl
> ==> Upgrading 2 outdated packages, with result:
> python 3.6.4_3, openssl 1.0.2n
> {code}
> Looking on http://formulae.brew.sh/ we see:
> {code}
> 🚫 Recently removed formulae
> python3, php72-opcache, php72-snmp, php72-tidy, php72
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscr...@qpid.apache.org
For additional commands, e-mail: dev-h...@qpid.apache.org

Reply via email to